Bug 594520 - EAP 5.x running "production" config reports "partitionName" trait as NULL
EAP 5.x running "production" config reports "partitionName" trait as NULL
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: 725852 jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-05-20 18:05 EDT by Joseph Marques
Modified: 2013-08-05 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-05-20 18:05:19 EDT
Description of problem:

It appears that the "partitionName" attribute for EAP 5.x is not always reported correctly.  This blocks customers from using group definitions to automatically create compatible groups to manage their jboss clusters.  If you do:

groupby resource.trait[partitionName]

It will not find anything

Steps to Reproduce:
1. Start some EAP 5.0.1 version with the "production" configuration
2. Inventory that instance
3. Navigate to Monitor > Traits
  
Actual results:

The "Partition Name" attribute is empty / not reported

Expected results:

The "Partition Name" attribute should be filled in

Additional info:
Comment 1 Ian Springer 2010-06-30 18:50:56 EDT
I verified that the property [MCBean|ServerConfig|*|partitionName] did indeed have a null value for an EAP 5.0.1 instance running the "production" config. But I noticed that the property [MCBean|HAPartition|*|partitionName] was set correctly to the cluster partition name. So I updated the as-5 plugin to fallback to using the 2nd property if the 1st property does not exist or has a null value.

Commit abc1adc - pushed to release-3.0.0 branch.

Note, I also changed the display name of the trait from "Partition Name" to "Cluster Partition Name".
Comment 2 Sunil Kondkar 2010-07-01 04:47:11 EDT
Verified on JON 2.4 GA_QA build#47

Started EAP 5.0.1 with the "production" configuration. Navigated to Monitor > Traits tab. It displays the trait "Cluster Partition Name" with value 'DefaultPartition'.
Comment 3 Ian Springer 2010-07-01 11:17:22 EDT
I've created the following JIRA issue for the EAP issue with the 'partitionName' managed property having a null value:

https://jira.jboss.org/browse/JBPAPP-4541
Comment 4 Corey Welton 2010-08-12 12:58:23 EDT
Mass-closure of verified bugs against JON.
Comment 5 Ian Springer 2011-07-27 10:49:58 EDT
This is already fixed in the RHQ branch used for the EAP 5.x admin-console.

Note You need to log in before you can comment on or make changes to this bug.